## cyarray 1.1

=== requirements.txt ===
Cython>=0.20
setuptools>=6.0
numpy
mako
pytest

=== debian/changelog ===
cyarray (1.1-7build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:37:03 +0000

cyarray (1.1-7) unstable; urgency=medium

  * New d/clean file.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild.
  * Apply patches provided by Matthias Klose (Closes: #1057886).
  * debian/control:
    - Do not use undefined substitution variables.
  * debian/rules:
    - Set PYBUILD_TEST_ARGS.
  * debian/patches:
    - Refresh and renumber all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Dec 2023 09:56:49 +0000

cyarray (1.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a debian/py3dist-overrides file to depend on cython3 instead of
    cython3-legacy, introduced with the last binNMUs.
  * Add a patch to not add a runtime dependency on cython3. Not yet applied,
    should be confirmed that it's safe to apply.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 08:12:56 +0100

cyarray (1.1-6) unstable; urgency=medium

  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - New 0003-Compatibility-with-cython-v3.0.patch.
  * debian/control:
    - Bump deblekper compat version to 13.
    - Use <!nocheck> marker.
  * Set upstream metadata fields: Repository.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 09:26:57 +0000

cyarray (1.1-5) unstable; urgency=medium

  * debian/patches:
    - new 0002-Compatibility-with-numpy-v1.24.patch (Closes: #1028881).
  * debisn/rules:
    - enable numpy3 debhelper.
  * debian/copyright:
    - update copyright dates.
  * Standards version bumped to 4.6.1 (no changes).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Jan 2023 16:21:50 +0000

cyarray (1.1-4) unstable; urgency=medium

  * Update watch file to use tags instead of releases.
  * debian/rules:
    - call dh_numpy3 to fix the dependency on numpy API.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:55:17 +0000

cyarray (1.1-3) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * Update the watch file.
  * debian/patches:
    - add Forwarded field.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 06:50:36 +0000

cyarray (1.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Jan 2020 21:02:44 +0100

cyarray (1.1-1) unstable; urgency=medium

  * Initial version (Closes: #940953).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Nov 2019 23:52:19 +0000

=== debian/control ===
Source: cyarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               python3-all-dev,
               python3-mako,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/cyarray
Vcs-Git: https://salsa.debian.org/science-team/cyarray.git
Homepage: https://github.com/pypr/cyarray
Rules-Requires-Root: no

Package: python3-cyarray
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast, typed, resizable, Cython array
 The cyarray package provides a fast, typed, re-sizable, Cython array.
 .
 It currently provides the following arrays: ``IntArray, UIntArray,
 LongArray, FloatArray, DoubleArray``.
 .
 All arrays provide for the following operations:
 .
  - access by indexing.
  - access through get/set function.
  - resizing the array.
  - appending values at the end of the array.
  - reserving space for future appends.
  - access to internal data through a numpy array.
 .
 If you are writing Cython code this is a convenient array to use as it
 exposes the raw underlying pointer to the data.
 For example if you use a ``FloatArray`` and access its ``data``
 attribute it will be a ``float*``.
 .
 Each array also provides an interface to its data through a numpy
 array.
 This is done through the ``get_npy_array`` function.
 The returned numpy array can be used just like any other numpy array
 but for the following restrictions:
 .
  - the array may not be resized.
  - references of this array should not be kept.
  - slices of this array may not be made.
 .
 The numpy array may however be copied and used in any manner.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cyarray
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

## cyarray 1.2

=== requirements.txt ===
Cython
setuptools>=6.0
numpy
mako
pytest
pytest-benchmark[histogram]

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = cyarray
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cyarray (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - Drop 0002-Compatibility-with-numpy-v1.24.patch,
      0003-Compatibility-with-cython-v3.0.patch,
      0004-no-cython-rt-dependency.diff and
      0005-Setup-requires.patch.
    - Refresh and rename the remaining patches.
  * debian/copyright:
    - Update dates.
    - Drop no longer needed entries.
  * debian/control:
    - Add (test) dependency on python3-pytest-benchmark.
  * Add debian/source/lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 14:28:43 +0000

cyarray (1.1-9) unstable; urgency=medium

  * debian/patches:
    - New 0005-Setup-requires.patch (Closes: #1083348).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Oct 2024 18:17:05 +0000

cyarray (1.1-8) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Sep 2024 07:45:49 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                python3-mako,
                python3-numpy,
                python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cyarray
 Vcs-Git: https://salsa.debian.org/science-team/cyarray.git
 Homepage: https://github.com/pypr/cyarray
